This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

Install Symfony2.4.2 with Error 3307

Discuss installing Symfony 2 here

Install Symfony2.4.2 with Error 3307

by TFT2012 » Tue Mar 25, 2014 5:04 pm

My environment is Apache 2.2.26 + PHP 5.5.10.
After the setup, I type localhost/app_dev.php, I receive these two error message on screen:

InvalidArgumentException: [ERROR 3070] complex type 'service': The content model is not determinist. (in file:////home/xxxxxx/apps/Symfony/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Loader/schema/dic/services/services-1.0.xsd - line 75, column 0)
[ERROR 3070] complex type 'argument': The content model is not determinist. (in file:////home/xxxxxx/apps/Symfony/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Loader/schema/dic/services/services-1.0.xsd - line 135, column 0)
[ERROR 3070] complex type 'call': The content model is not determinist. (in file:////home/xxxxx/apps/Symfony/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Loader/schema/dic/services/services-1.0.xsd - line 148, column 0)


InvalidArgumentException: Unable to parse file "/home/xxxxx/apps/Symfony/vendor/symfony/symfony/src/Symfony/Bundle/FrameworkBundle/DependencyInjection/../Resources/config/web.xml".


I did some search and found out that it was caused by libxml version. PHP 5.5.X still ships the old version libxml2.6.xx. I downloaded the latest libxml2.9.1, however I couldn't find the configure file in the folder to compile libxml2.
I know that it may not relate to a actual Symfony2 issue, but anyone can give me a hand on this?

Thanks!
TFT2012
Junior Member
 
Posts: 3
Joined: Thu Mar 14, 2013 2:16 am